gnutls_set_default_priority(3)

NAME
gnutls_set_default_priority - Sets some default priority on the cipher suites supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_priority(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Sets some default priority on the ciphers, key exchange methods, macs and compression methods. This is to avoid using the gnutls_*_priority() functions, if these defaults are ok. You may override any of the following priorities by calling the appropriate functions.

PROTOCOLS
TLS 1.2, TLS 1.1, TLS 1.0, and SSL3.

KEY EXCHANGE ALGORITHM
DHE-PSK, PSK, SRP-RSA, SRP-DSS, SRP, DHE-RSA, DHE-DSS, RSA.

CIPHER
AES_256_CBC, AES_128_CBC, 3DES_CBC, and ARCFOUR_128.

MAC ALGORITHM
SHA, and MD5.

CERTIFICATE TYPES
X.509, OpenPGP

COMPRESSION
DEFLATE, NULL. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.